<?php defined("SYSPATH") or die("No direct script access.");
/**
 * Gallery - a web based photo album viewer and editor
 * Copyright (C) 2000-2009 Bharat Mediratta
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or (at
 * your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street - Fifth Floor, Boston, MA  02110-1301, USA.
 */
class recent_album_highlight_event_Core {
  static function admin_menu($menu, $theme) {
    $menu->get("settings_menu")
      ->append(Menu::factory("link")
               ->id("recent_album_highlight_menu")
               ->label(t("Recent album highlight"))
               ->url(url::site("admin/recent_album_highlight")));
  }
  static function item_edit_form($item, $form) {
    // We don't want to allow changes of the root album
    if ($item->id == 1) {
      return;
	}
    // Search if there are at least some child items containing a captured date
    $model = ORM::factory("recent_album_highlight")->where("item_id", "=", $item->id)
      ->find_all();
    $is_hidden = "";
    if (count($model) > 0) {
      $is_hidden = TRUE;
    }
	$form->edit_item
         ->checkbox("dis_recent")
         ->label(t("Disable recent highlights for this abum."))
         ->checked($is_hidden);

  }
  static function item_edit_form_completed($item, $form) {
    // Update the database with any changes to the disable recent checkbox.
	$record = ORM::factory("recent_album_highlight")->where("item_id", "=", $item->id);
    if ($form->edit_item->dis_recent->value != "") {
	  $record->item_id = $item->id;
	  $record->save();
    } else {
      db::build()->delete("recent_album_highlights")->where("item_id", "=", $item->id)->execute();
    }
  }
  static function item_deleted($item) {
    // Whenever an item is deleted, delete any corresponding data.
    db::build()->delete("recent_album_highlights")->where("item_id", "=", $item->id)->execute();
  }
}